Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class SearchImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.SearchImpl

All Implemented Interfaces:
  Search

    public class SearchImpl

extends java.lang.Object
implements Search

This class is used to execute the search operation on the LDAP server

Version:
  $Revision: 1.8 $
Author:

Field Summary
`static boolean` | `returnObjFlag`

Constructor Summary
`SearchImpl(LDAPClientApplicationImpl app)` Creates a new instance of Search

Method Summary
`LDAPSearchControls` | `getLDAPSearchControls()` If using an LDAP provider, get the LDAPSearchControls object for the search controls option.
`SearchOptions` | `getSearchOptions()` Get the SearchOption object for the search options.
`SearchResults` | `getSearchResults()` Get the SearchResults object for the search results.
`void` | `performSearch()` Perform a directory search for entries in the directory that match the criteria previously defined.
`void` | `removeSearchControls()` Used to clear search controls from context if controls were added for search
`void` | `reset()` Method to reset the values
`void` | `searchCleanup()` Used to clean up the search results.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### returnObjFlag

    public static boolean returnObjFlag

Constructor Detail

### SearchImpl

    public SearchImpl(LDAPClientApplicationImpl app)

  Creates a new instance of Search

  Parameters:
    `app` - The LDAP client application associated with this Search instance.

Method Detail

### getLDAPSearchControls

    public LDAPSearchControls getLDAPSearchControls()
                                             throws LDAPApplicationException

  If using an LDAP provider, get the LDAPSearchControls object for the search controls option.

  Specified by:
    `getLDAPSearchControls` in interface `Search`
  Returns:
    The LDAP search options as a LDAPSearchControls object.
  Throws:
    `LDAPApplicationException`

### getSearchOptions

    public SearchOptions getSearchOptions()
                                   throws LDAPApplicationException

  Get the SearchOption object for the search options.

  Specified by:
    `getSearchOptions` in interface `Search`
  Returns:
    The search options as a SearchOptions object.
  Throws:
    `LDAPApplicationException`

### getSearchResults

    public SearchResults getSearchResults()
                                   throws LDAPApplicationException

  Get the SearchResults object for the search results.

  Specified by:
    `getSearchResults` in interface `Search`
  Returns:
    The search results as a SearchResults object. We don't have to create this object at all since it is a result object created by the perform search
  Throws:
    `LDAPApplicationException`

### performSearch

    public void performSearch()
                       throws LDAPApplicationException

  Perform a directory search for entries in the directory that match the criteria previously defined.

  Specified by:
    `performSearch` in interface `Search`
  Throws:
    `LDAPApplicationException` - upon error
  See Also:
    `SearchOptions`

### searchCleanup

    public void searchCleanup()
                       throws LDAPApplicationException

  Used to clean up the search results.

  Specified by:
    `searchCleanup` in interface `Search`
  Throws:
    `LDAPApplicationException` - if connection to the LDAP server is not available.

### removeSearchControls

    public void removeSearchControls()
                              throws LDAPApplicationException

  Used to clear search controls from context if controls were added for search

  Specified by:
    `removeSearchControls` in interface `Search`
  Throws:
    `LDAPApplicationException` - if connection to the LDAP server is not available.

### reset

    public void reset()

  Method to reset the values

  Specified by:
    `reset` in interface `Search`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD